{% extends "users/userspace.html" %}

{% block scripts %}

<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet">
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $('.select2').select2();
        $.ajax({
            url: '/account/get_all_users',
            success: function(data) {
                data.unshift({ id: '', text: 'Tous les utilisateurs' });
                $('.select2').select2({
                    data: data
                });

                var selectedValue = "{{ request.GET.user_id }}";
                if (selectedValue) {
                    $('.select2').val(selectedValue).trigger('change');
                }
            }
        });
    });
</script>
{% endblock %}

{% block content %}
    <div class="container mt-5">
        <h1>Liste des adhésions</h1>

        <form method="get" action="" class="d-flex align-items-center flex-row flex-wrap">
            <label class="me-3 my-2" for="user_email_input">Filtrer par utilisateur : </label>
            <select class="form-control select2 my-2" id="user_id_input" name="user_id" style="width: 30em;"></select>
            <label class="mx-3 my-2" for="year_input">Filtrer par année : </label>
            <select class="form-select w-auto" aria-label="Default select example" id="year_input" name="year">
                <option value="" {% if not request.GET.year %}selected{% endif %}>Toutes les années</option>
                {% for year in years %}
                    <option value="{{ year }}" {% if year == request.GET.year %}selected{% endif %}>{{ year }}</option>
                {% endfor %}
                {% if request.GET.year and request.GET.year not in years %}
                    <option value="{{ request.GET.year }}" selected>{{ request.GET.year }}</option>
                {% endif %}
            </select>
            <button class="ms-3 btn btn-secondary my-2" type="submit"><i class="fas fa-filter me-2"></i>Filtrer</button>
        </form>
        {% if success %}
            <div class="alert alert-success mt-3" role="alert">
                L'adhésion a bien été marquée comme payée.
            </div>
        {% endif %}
        {% if error %}
            <div class="alert alert-danger mt-3" role="alert">
                Une erreur est survenue. Veuillez réessayer.
            </div>
        {% endif %}
        <div class="table-responsive mb-3">
            <table class="table table-striped table-hover align-middle">
                <thead>
                <tr>
                    <th class="pe-1">
                        Année
                    </th>
                    <th class="pe-1">
                        Utilisateur
                    </th>
                    <th class="pe-1">
                        Date d'enregistrement
                    </th>
                    <th class="pe-1">
                        Montant
                    </th>
                    <th class="pe-1">
                        Payée ?
                    </th>
                    <th></th>
                </tr>
                </thead>
                <tbody>
                {% for adhesion in adhesions %}
                <tr>
                    <td class="pe-1 fw-bold">
                        {{ adhesion.annee }}
                    </td>
                    <td class="pe-1">
                        <a href="{% url 'user_details_admin' adhesion.utilisateur.id %}"
                                   target="_blank">
                        {{ adhesion.utilisateur }}
                        </a>
                    </td>
                    <td class="pe-1">
                        {{ adhesion.date_enregistrement }}
                    </td>
                    <td class="pe-1  text-center">
                        {{ adhesion.tarif|floatformat:"2" }} €
                    </td>
                    <td class="pe-1  text-center">
                        {% if adhesion.payee %}
                            <i class="fas fa-check" style="color: green;"></i>
                        {% else %}
                            <i class="fas fa-times" style="color: red;"></i>
                        {% endif %}
                    <td class="pe-1  text-center">  
                        {% if not adhesion.payee %}
                        <form method="post" action="" class="">
                        {% csrf_token %}
                        <input type="hidden" name="subscription_id" value="{{ adhesion.id }}">
                        <button type="submit" class="btn btn-sm btn-link ms-3"><i class="fas fa-hand-holding-usd me-3"></i>Marquer comme payée</button>
                        </form>
                        {% endif %}
                    </td>

                </tr>
            {% endfor %}
            {% if adhesions|length == 0 %}
            <tr>
                <td colspan="6" class="text-center">
                Aucun résultat
                </td>
            </tr>
            {% endif %}
                </tbody>
            </table>
        </div>

        {% pagination_widget adhesions request %}
        
    </div>
{% endblock %}

